|  | traits.h File Reference updated Wed Apr 10 2024 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
traits.h File Reference

Type traits for (non-)const type inference. More...

This graph shows which files directly or indirectly include this file:

## Classes

struct | reflex::TypeOp< T >
| TypeOp<T>::Type = T, TypeOp<T>::ConstType = const T, TypeOp<T>::NonConstType = non-const T. More...
struct | reflex::TypeOp< const T >
| Template specialization of reflex::TypeOp. More...

## Namespaces

| reflex

## Detailed Description

Type traits for (non-)const type inference.

Author
  Robert van Engelen - engel.nosp@m.en@g.nosp@m.enivi.nosp@m.a.co.nosp@m.m

Copyright
  (c) 2016-2020, Robert van Engelen, Genivia Inc. All rights reserved.
  (c) BSD-3 License - see LICENSE.txt